package yu_okx

type PublicMark_price struct {
	InstId   string `json:"instId"`   // 产品ID，如 BTC-USDT-SWAP
	InstType string `json:"instType"` // 产品类型，MARGIN：币币杠杆，SWAP：永续合约，FUTURES：交割合约，OPTION：期权
	MarkPx   string `json:"markPx"`   // 标记价格
	Ts       string `json:"ts"`       // 接口数据返回时间，Unix时间戳的毫秒数格式，如1597026383085
}

// PublicMark_price
//
//	@Description: 获取标记价格
//	@param instId 产品ID，如 BTC-USDT-SWAP
func (t *V5Rest) PublicMark_price(instId string) []*PublicMark_price {
	j_path, j_resp := "/api/v5/public/mark-price?instId="+instId, make([]*PublicMark_price, 0)
	t.request("GET", j_path, nil, &j_resp)
	return j_resp
}
